# Webseite

Das Repository enthält die Webseite das Vereins "Hackspace Jena". Der größte
Teil der Webseite ist statisches HTML, ergänzt um einige dynamische
Elemente zur Anzeige des Raumstatuses und der aktuellen Termine.

## Installation

Zum Betrieb der Webseite ist ein Webserver und PHP notwendig. Die
Auswertung der Termine erfolgt mittels der VObject Bibliothek von
[https://sabre.io](https://sabre.io), welche auch in Nextcloud enthalten
ist. Debian stellt die Bibliothe in dem Paket php-sabre-vobject bereit. Nach
der Installation und Konfiguration des Websevers inklusive PHP wird das Repo
in das Dokumentroot des Webservers kopiert.

### Installationsschritte

```bash
# install calendar event exporter
sudo install -o0 -g0 -m444 etc/systemd/calendar-events-exporter.* /etc/systemd/system/
sudo systemctl daemon-reload
sudo systemctl enable --now calendar-events-exporter.timer

# install nginx config
sudo install -o0 -g0 -m444 etc/nginx/kraut.space.conf /etc/nginx/sites-available/
sudo ln -s ../sites-available/kraut.space.conf /etc/nginx/sites-enabled/
sudo systemctl reload nginx
```
