#!/usr/bin/env bash

CAL_URL="https://cloud.kraut.space/remote.php/dav/public-calendars/2EkPGt3PF6WwYsA3?export&expand=1&start=$(date -d '' +%s)&end=$(date -d 'next month' +%s)"

curl -sH "Accept: application/calendar+json" "${CAL_URL}" \
	| jq -r '.[2] | map({_type: .[0]} + (.[1] | map({key: .[0], value: .[3]}) | from_entries))' \
	> ./events.json
